package ruon.jiao;
/**
 * This API is the proprietry of R-U-ON LLC
 * You can embed this API in other applications and freely distribute it.
 * R-U-ON maintains the right to block agents that create an extreme load
 * on the server.
 */

import java.lang.Exception;

/**
 * Thrown when a IAOP level error has occured
 */
public class JIAOException extends Exception {
    private String data;

    JIAOException(String msg, String data) {
        super(msg);
        this.data = data;
    }

    JIAOException(String msg, Exception e) {
        super(msg, e);
    }

    JIAOException(String msg) {
        super(msg);
    }

    /**
     * In case of invalid data returned from the server, the method will return the content of the page
     * returned from the server.
     * @return The invalid content received
     */
    public String getData() {
        return data;
    }
}
